[![Content Wind](https://content-wind.nuxt.space/cover.jpg)](https://content-wind.nuxt.space)

# Content Wind

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![License][license-src]][license-href]
[![Use this template][use-template-src]][use-template-href]

A personal website theme powered by [Nuxt Content](https://content.nuxtjs.org), [TailwindCSS](https://tailwindcss.com), [Iconify](https://iconify.design) and [Vue components](https://vuejs.org).

- 📖&nbsp; [Demo & Docs](https://content-wind.nuxt.space)
- 🕹&nbsp; [Play online](https://stackblitz.com/github/Atinux/content-wind-template)
- 👀&nbsp; [Demo video](https://twitter.com/Atinux/status/1578505586979012608)

## Features

- Create pages in Markdown in the `content/` directory
- Use Nuxt layouts in your Markdown pages
- Enjoy meta tag generation from Markdown files
- Generated navigation based on your pages
- Switch between Light & Dark mode :moon:
- Access 100,000 icons from 100+ icon sets with the [`<Icon>` component](https://github.com/Atinux/nuxt-icon)
- Highlight code blocks with [Shiki](https://shiki.matsu.io)
- Create Vue components in `components/content/` and use them in your Markdown
- Deploy on any Node or Static hosting: GH Pages, Vercel, Netlify, Heroku, etc.

## Get started

Duplicate the GitHub template: [Atinux/content-wind-template](https://github.com/Atinux/content-wind-template)

**Or**

Start locally:

```bash
npx nuxi@latest init -t themes/content-wind my-website
```

Then follow the instructions and you are ready to go :rocket:

## License 📎

[MIT License](./LICENSE)

<!-- Badges -->
[npm-version-src]: https://img.shields.io/npm/v/content-wind/latest.svg?style=flat&colorA=002438&colorB=28CF8D
[npm-version-href]: https://npmjs.com/package/content-wind

[npm-downloads-src]: https://img.shields.io/npm/dt/content-wind.svg?style=flat&colorA=002438&colorB=28CF8D
[npm-downloads-href]: https://npmjs.com/package/content-wind

[license-src]: https://img.shields.io/github/license/Atinux/content-wind.svg?style=flat&colorA=002438&colorB=28CF8D
[license-href]: https://github.com/Atinux/content-wind/blob/main/LICENSE

[use-template-src]: https://img.shields.io/badge/⚡️-Use%20this%20template-28CF8D?style=flat&colorA=002438&colorB=28CF8D
[use-template-href]: https://github.com/Atinux/content-wind-template/generate
